name: twilio_programmable_video
description: Flutter plugin for Twilio Programmable Video, which enables you to build
  real-time videocall applications (WebRTC)
version: 0.11.1
homepage: https://gitlab.com/twilio-flutter/programmable-video
repository: https://gitlab.com/twilio-flutter/programmable-video/-/tree/master/programmable_video
issue_tracker: https://gitlab.com/twilio-flutter/programmable-video/issues

environment:
  sdk: '>=2.12.0 <3.0.0'
  flutter: '>=1.17.0'

dependencies:
  flutter:
    sdk: flutter
  permission_handler: ^7.0.0
  enum_to_string: ^2.0.1
  twilio_programmable_video_platform_interface:
    path: ../programmable_video_platform_interface
  collection: ^1.15.0

dev_dependencies:
  flutter_test:
    sdk: flutter
# TODO: Remove the pendantic here and remove the override once the following issue is resolved:
# https://github.com/flutter/flutter/issues/48246
  pedantic: ^1.11.0
  mockito: ^5.0.6
  build_runner: ^2.0.1

dependency_overrides:
  pedantic: ^1.9.0

flutter:
  plugin:
    platforms:
      android:
        package: twilio.flutter.twilio_programmable_video
        pluginClass: TwilioProgrammableVideoPlugin
      ios:
        pluginClass: TwilioProgrammableVideoPlugin
